<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../../../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../../../jacoco-resources/report.gif" type="image/gif"/><title>AdminPController.java</title><link rel="stylesheet" href="../../../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../../../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../../../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../../../index.html" class="el_report">green-grocery (01-Nov-2022 11:59:04 pm)</a> &gt; <a href="../../index.html" class="el_group">green-grocery</a> &gt; <a href="../index.html" class="el_bundle">src/main/java</a> &gt; <a href="index.source.html" class="el_package">com.example.demo.controller</a> &gt; <span class="el_source">AdminPController.java</span></div><h1>AdminPController.java</h1><pre class="source lang-java linenums">package com.example.demo.controller;

import java.util.List;
import java.util.Optional;

import javax.servlet.http.HttpSession;

import org.springframework.beans.factory.annotation.Autowired;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;


import com.example.demo.model.Products;

import com.example.demo.repository.ProductRepository;


@Controller
<span class="fc" id="L24">public class AdminPController {</span>
	@Autowired
    private ProductRepository productRepo;

	@GetMapping(&quot;/p&quot;)
    public String viewHomePage(Model m) {
<span class="nc" id="L30">       List&lt;Products&gt;list=productRepo.findAll();</span>
<span class="nc" id="L31">		m.addAttribute(&quot;all_products&quot;, list);</span>
<span class="nc" id="L32">       return &quot;product&quot;;</span>
    }

	@GetMapping(&quot;/load_form&quot;)
    public String loadForm() {
<span class="nc" id="L37">        return &quot;add&quot;;</span>
    }
	@GetMapping(&quot;/edit_form/{id}&quot;)
    public String editForm(@PathVariable (value=&quot;id&quot;)long id,Model m) {
<span class="nc" id="L41">	Optional&lt;Products&gt; products=productRepo.findById(id);</span>
<span class="nc" id="L42">		Products pro=products.get();</span>
<span class="nc" id="L43">		m.addAttribute(&quot;product&quot;, pro);</span>
<span class="nc" id="L44">		return &quot;edit&quot;;</span>
    }
     @PostMapping(&quot;/save_products&quot;)
	 public String saveProducts(@ModelAttribute Products products,HttpSession session) {
<span class="nc" id="L48">		productRepo.save(products);</span>
<span class="nc" id="L49">		session.setAttribute(&quot;msg&quot;, &quot;Product Added Successfully..&quot;);</span>
<span class="nc" id="L50">    	 return &quot;redirect:/load_form&quot;;</span>
		 
	 }
     @PostMapping(&quot;/update_products&quot;)
	 public String updateProducts(@ModelAttribute Products products,HttpSession session) {
<span class="nc" id="L55">		productRepo.save(products);</span>
<span class="nc" id="L56">		session.setAttribute(&quot;msg&quot;, &quot;Product Updated Successfully..&quot;);</span>
<span class="nc" id="L57">    	 return &quot;redirect:/p&quot;;</span>
		 
	 }
      @GetMapping(&quot;/delete/{id}&quot;)
     public String deleteProducts(@PathVariable (value=&quot;id&quot;)long id,HttpSession session)
     {
<span class="nc" id="L63">    		productRepo.deleteById(id);</span>
<span class="nc" id="L64">    		session.setAttribute(&quot;msg&quot;, &quot;Product Delete Successfully..&quot;);</span>
<span class="nc" id="L65">    	  return &quot;redirect:/p&quot;;</span>
    	  
     }
      
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span>green-grocery (01-Nov-2022 11:59:04 pm)</div></body></html>